package com.google.android.gms.common.api.internal;

import com.google.android.gms.common.api.OptionalPendingResult;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.PendingResult.zza;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.ResultCallback;
import java.util.concurrent.TimeUnit;

public final class zzr<R extends Result>
  extends OptionalPendingResult<R>
{
  private final zzb<R> zzaiy;
  
  public zzr(PendingResult<R> paramPendingResult)
  {
    if (!(paramPendingResult instanceof zzb)) {
      throw new IllegalArgumentException("OptionalPendingResult can only wrap PendingResults generated by an API call.");
    }
    this.zzaiy = ((zzb)paramPendingResult);
  }
  
  public R await()
  {
    return this.zzaiy.await();
  }
  
  public R await(long paramLong, TimeUnit paramTimeUnit)
  {
    return this.zzaiy.await(paramLong, paramTimeUnit);
  }
  
  public void cancel()
  {
    this.zzaiy.cancel();
  }
  
  public R get()
  {
    if (isDone()) {
      return await(0L, TimeUnit.MILLISECONDS);
    }
    throw new IllegalStateException("Result is not available. Check that isDone() returns true before calling get().");
  }
  
  public boolean isCanceled()
  {
    return this.zzaiy.isCanceled();
  }
  
  public boolean isDone()
  {
    return this.zzaiy.isReady();
  }
  
  public void setResultCallback(ResultCallback<? super R> paramResultCallback)
  {
    this.zzaiy.setResultCallback(paramResultCallback);
  }
  
  public void setResultCallback(ResultCallback<? super R> paramResultCallback, long paramLong, TimeUnit paramTimeUnit)
  {
    this.zzaiy.setResultCallback(paramResultCallback, paramLong, paramTimeUnit);
  }
  
  public void zza(PendingResult.zza paramzza)
  {
    this.zzaiy.zza(paramzza);
  }
  
  public Integer zzpa()
  {
    return this.zzaiy.zzpa();
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/google/android/gms/common/api/internal/zzr.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */