package tv.ouya.console.internal;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.os.RemoteException;
import tv.ouya.console.api.Product;
import tv.ouya.console.api.Purchasable;
import tv.ouya.console.api.UserInfo;

public abstract interface IStoreServiceDefinition
  extends IInterface
{
  public abstract void requestAppDownloadUrl(String paramString, IStringListener paramIStringListener)
    throws RemoteException;
  
  public abstract void requestAppInfo(String paramString, IAppDetailsListener paramIAppDetailsListener)
    throws RemoteException;
  
  public abstract void requestAppList(IAppDescriptionListListener paramIAppDescriptionListListener)
    throws RemoteException;
  
  public abstract void requestAppListForTag(String paramString, IAppDescriptionListListener paramIAppDescriptionListListener)
    throws RemoteException;
  
  public abstract void requestCachedUserInfo(IUserInfoListener paramIUserInfoListener)
    throws RemoteException;
  
  public abstract void requestCreateNewUser(UserInfo paramUserInfo, boolean paramBoolean, IVoidListener paramIVoidListener)
    throws RemoteException;
  
  public abstract void requestDeregisterConsole(String paramString, IVoidListener paramIVoidListener)
    throws RemoteException;
  
  public abstract void requestDeveloperAppList(IAppDescriptionListListener paramIAppDescriptionListListener)
    throws RemoteException;
  
  public abstract void requestLauncherPurchase(String paramString, Product paramProduct, Purchasable paramPurchasable, IStringListener paramIStringListener)
    throws RemoteException;
  
  public abstract void requestLauncherReceipts(String paramString, IStringListener paramIStringListener)
    throws RemoteException;
  
  public abstract void requestRegisterConsole(IVoidListener paramIVoidListener)
    throws RemoteException;
  
  public abstract void requestResendEmail(String paramString, IVoidListener paramIVoidListener)
    throws RemoteException;
  
  public abstract void requestStoreStructure(IStoreStructureListener paramIStoreStructureListener)
    throws RemoteException;
  
  public abstract void requestSystemMessage(String paramString, IStringListener paramIStringListener)
    throws RemoteException;
  
  public abstract void requestTagList(ITagListListener paramITagListListener)
    throws RemoteException;
  
  public abstract void requestUpdateUserInfo(UserInfo paramUserInfo, IVoidListener paramIVoidListener)
    throws RemoteException;
  
  public abstract void requestUserInfo(IUserInfoListener paramIUserInfoListener)
    throws RemoteException;
  
  public abstract void run(String paramString, IStringListener paramIStringListener)
    throws RemoteException;
  
  public abstract void runDelete(String paramString1, String paramString2, IStringListener paramIStringListener)
    throws RemoteException;
  
  public abstract void runPut(String paramString1, String paramString2, IStringListener paramIStringListener)
    throws RemoteException;
  
  public static abstract class Stub
    extends Binder
    implements IStoreServiceDefinition
  {
    private static final String DESCRIPTOR = "tv.ouya.console.internal.IStoreServiceDefinition";
    static final int TRANSACTION_requestAppDownloadUrl = 1;
    static final int TRANSACTION_requestAppInfo = 2;
    static final int TRANSACTION_requestAppList = 3;
    static final int TRANSACTION_requestAppListForTag = 4;
    static final int TRANSACTION_requestCachedUserInfo = 15;
    static final int TRANSACTION_requestCreateNewUser = 6;
    static final int TRANSACTION_requestDeregisterConsole = 7;
    static final int TRANSACTION_requestDeveloperAppList = 8;
    static final int TRANSACTION_requestLauncherPurchase = 19;
    static final int TRANSACTION_requestLauncherReceipts = 20;
    static final int TRANSACTION_requestRegisterConsole = 9;
    static final int TRANSACTION_requestResendEmail = 10;
    static final int TRANSACTION_requestStoreStructure = 13;
    static final int TRANSACTION_requestSystemMessage = 14;
    static final int TRANSACTION_requestTagList = 5;
    static final int TRANSACTION_requestUpdateUserInfo = 11;
    static final int TRANSACTION_requestUserInfo = 12;
    static final int TRANSACTION_run = 16;
    static final int TRANSACTION_runDelete = 18;
    static final int TRANSACTION_runPut = 17;
    
    public Stub()
    {
      attachInterface(this, "tv.ouya.console.internal.IStoreServiceDefinition");
    }
    
    public static IStoreServiceDefinition asInterface(IBinder paramIBinder)
    {
      if (paramIBinder == null) {
        return null;
      }
      IInterface localIInterface = paramIBinder.queryLocalInterface("tv.ouya.console.internal.IStoreServiceDefinition");
      if ((localIInterface != null) && ((localIInterface instanceof IStoreServiceDefinition))) {
        return (IStoreServiceDefinition)localIInterface;
      }
      return new Proxy(paramIBinder);
    }
    
    public IBinder asBinder()
    {
      return this;
    }
    
    public boolean onTransact(int paramInt1, Parcel paramParcel1, Parcel paramParcel2, int paramInt2)
      throws RemoteException
    {
      Object localObject;
      switch (paramInt1)
      {
      default: 
        return super.onTransact(paramInt1, paramParcel1, paramParcel2, paramInt2);
      case 1598968902: 
        paramParcel2.writeString("tv.ouya.console.internal.IStoreServiceDefinition");
        return true;
      case 1: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestAppDownloadUrl(paramParcel1.readString(), IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 2: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestAppInfo(paramParcel1.readString(), IAppDetailsListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 3: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestAppList(IAppDescriptionListListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 4: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestAppListForTag(paramParcel1.readString(), IAppDescriptionListListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 5: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestTagList(ITagListListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 6: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        if (paramParcel1.readInt() != 0)
        {
          localObject = (UserInfo)UserInfo.CREATOR.createFromParcel(paramParcel1);
          if (paramParcel1.readInt() == 0) {
            break label389;
          }
        }
        for (boolean bool = true;; bool = false)
        {
          requestCreateNewUser((UserInfo)localObject, bool, IVoidListener.Stub.asInterface(paramParcel1.readStrongBinder()));
          paramParcel2.writeNoException();
          return true;
          localObject = null;
          break;
        }
      case 7: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestDeregisterConsole(paramParcel1.readString(), IVoidListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 8: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestDeveloperAppList(IAppDescriptionListListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 9: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestRegisterConsole(IVoidListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 10: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestResendEmail(paramParcel1.readString(), IVoidListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 11: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        if (paramParcel1.readInt() != 0) {}
        for (localObject = (UserInfo)UserInfo.CREATOR.createFromParcel(paramParcel1);; localObject = null)
        {
          requestUpdateUserInfo((UserInfo)localObject, IVoidListener.Stub.asInterface(paramParcel1.readStrongBinder()));
          paramParcel2.writeNoException();
          return true;
        }
      case 12: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestUserInfo(IUserInfoListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 13: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestStoreStructure(IStoreStructureListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 14: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestSystemMessage(paramParcel1.readString(), IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 15: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        requestCachedUserInfo(IUserInfoListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 16: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        run(paramParcel1.readString(), IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 17: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        runPut(paramParcel1.readString(), paramParcel1.readString(), IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 18: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        runDelete(paramParcel1.readString(), paramParcel1.readString(), IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
        paramParcel2.writeNoException();
        return true;
      case 19: 
        label389:
        paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
        String str = paramParcel1.readString();
        if (paramParcel1.readInt() != 0)
        {
          localObject = (Product)Product.CREATOR.createFromParcel(paramParcel1);
          if (paramParcel1.readInt() == 0) {
            break label815;
          }
        }
        label815:
        for (Purchasable localPurchasable = (Purchasable)Purchasable.CREATOR.createFromParcel(paramParcel1);; localPurchasable = null)
        {
          requestLauncherPurchase(str, (Product)localObject, localPurchasable, IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
          paramParcel2.writeNoException();
          return true;
          localObject = null;
          break;
        }
      }
      paramParcel1.enforceInterface("tv.ouya.console.internal.IStoreServiceDefinition");
      requestLauncherReceipts(paramParcel1.readString(), IStringListener.Stub.asInterface(paramParcel1.readStrongBinder()));
      paramParcel2.writeNoException();
      return true;
    }
    
    private static class Proxy
      implements IStoreServiceDefinition
    {
      private IBinder mRemote;
      
      Proxy(IBinder paramIBinder)
      {
        this.mRemote = paramIBinder;
      }
      
      public IBinder asBinder()
      {
        return this.mRemote;
      }
      
      public String getInterfaceDescriptor()
      {
        return "tv.ouya.console.internal.IStoreServiceDefinition";
      }
      
      /* Error */
      public void requestAppDownloadUrl(String paramString, IStringListener paramIStringListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +45 -> 66
        //   24: aload_2
        //   25: invokeinterface 47 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: iconst_1
        //   41: aload_3
        //   42: aload 4
        //   44: iconst_0
        //   45: invokeinterface 56 5 0
        //   50: pop
        //   51: aload 4
        //   53: invokevirtual 59	android/os/Parcel:readException	()V
        //   56: aload 4
        //   58: invokevirtual 62	android/os/Parcel:recycle	()V
        //   61: aload_3
        //   62: invokevirtual 62	android/os/Parcel:recycle	()V
        //   65: return
        //   66: aconst_null
        //   67: astore_1
        //   68: goto -37 -> 31
        //   71: astore_1
        //   72: aload 4
        //   74: invokevirtual 62	android/os/Parcel:recycle	()V
        //   77: aload_3
        //   78: invokevirtual 62	android/os/Parcel:recycle	()V
        //   81: aload_1
        //   82: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	83	0	this	Proxy
        //   0	83	1	paramString	String
        //   0	83	2	paramIStringListener	IStringListener
        //   3	75	3	localParcel1	Parcel
        //   7	66	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	71	finally
        //   24	31	71	finally
        //   31	56	71	finally
      }
      
      /* Error */
      public void requestAppInfo(String paramString, IAppDetailsListener paramIAppDetailsListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +45 -> 66
        //   24: aload_2
        //   25: invokeinterface 68 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: iconst_2
        //   41: aload_3
        //   42: aload 4
        //   44: iconst_0
        //   45: invokeinterface 56 5 0
        //   50: pop
        //   51: aload 4
        //   53: invokevirtual 59	android/os/Parcel:readException	()V
        //   56: aload 4
        //   58: invokevirtual 62	android/os/Parcel:recycle	()V
        //   61: aload_3
        //   62: invokevirtual 62	android/os/Parcel:recycle	()V
        //   65: return
        //   66: aconst_null
        //   67: astore_1
        //   68: goto -37 -> 31
        //   71: astore_1
        //   72: aload 4
        //   74: invokevirtual 62	android/os/Parcel:recycle	()V
        //   77: aload_3
        //   78: invokevirtual 62	android/os/Parcel:recycle	()V
        //   81: aload_1
        //   82: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	83	0	this	Proxy
        //   0	83	1	paramString	String
        //   0	83	2	paramIAppDetailsListener	IAppDetailsListener
        //   3	75	3	localParcel1	Parcel
        //   7	66	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	71	finally
        //   24	31	71	finally
        //   31	56	71	finally
      }
      
      /* Error */
      public void requestAppList(IAppDescriptionListListener paramIAppDescriptionListListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +42 -> 57
        //   18: aload_1
        //   19: invokeinterface 73 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: iconst_3
        //   35: aload_2
        //   36: aload_3
        //   37: iconst_0
        //   38: invokeinterface 56 5 0
        //   43: pop
        //   44: aload_3
        //   45: invokevirtual 59	android/os/Parcel:readException	()V
        //   48: aload_3
        //   49: invokevirtual 62	android/os/Parcel:recycle	()V
        //   52: aload_2
        //   53: invokevirtual 62	android/os/Parcel:recycle	()V
        //   56: return
        //   57: aconst_null
        //   58: astore_1
        //   59: goto -34 -> 25
        //   62: astore_1
        //   63: aload_3
        //   64: invokevirtual 62	android/os/Parcel:recycle	()V
        //   67: aload_2
        //   68: invokevirtual 62	android/os/Parcel:recycle	()V
        //   71: aload_1
        //   72: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	73	0	this	Proxy
        //   0	73	1	paramIAppDescriptionListListener	IAppDescriptionListListener
        //   3	65	2	localParcel1	Parcel
        //   7	57	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	62	finally
        //   18	25	62	finally
        //   25	48	62	finally
      }
      
      /* Error */
      public void requestAppListForTag(String paramString, IAppDescriptionListListener paramIAppDescriptionListListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +45 -> 66
        //   24: aload_2
        //   25: invokeinterface 73 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: iconst_4
        //   41: aload_3
        //   42: aload 4
        //   44: iconst_0
        //   45: invokeinterface 56 5 0
        //   50: pop
        //   51: aload 4
        //   53: invokevirtual 59	android/os/Parcel:readException	()V
        //   56: aload 4
        //   58: invokevirtual 62	android/os/Parcel:recycle	()V
        //   61: aload_3
        //   62: invokevirtual 62	android/os/Parcel:recycle	()V
        //   65: return
        //   66: aconst_null
        //   67: astore_1
        //   68: goto -37 -> 31
        //   71: astore_1
        //   72: aload 4
        //   74: invokevirtual 62	android/os/Parcel:recycle	()V
        //   77: aload_3
        //   78: invokevirtual 62	android/os/Parcel:recycle	()V
        //   81: aload_1
        //   82: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	83	0	this	Proxy
        //   0	83	1	paramString	String
        //   0	83	2	paramIAppDescriptionListListener	IAppDescriptionListListener
        //   3	75	3	localParcel1	Parcel
        //   7	66	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	71	finally
        //   24	31	71	finally
        //   31	56	71	finally
      }
      
      /* Error */
      public void requestCachedUserInfo(IUserInfoListener paramIUserInfoListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +43 -> 58
        //   18: aload_1
        //   19: invokeinterface 80 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: bipush 15
        //   36: aload_2
        //   37: aload_3
        //   38: iconst_0
        //   39: invokeinterface 56 5 0
        //   44: pop
        //   45: aload_3
        //   46: invokevirtual 59	android/os/Parcel:readException	()V
        //   49: aload_3
        //   50: invokevirtual 62	android/os/Parcel:recycle	()V
        //   53: aload_2
        //   54: invokevirtual 62	android/os/Parcel:recycle	()V
        //   57: return
        //   58: aconst_null
        //   59: astore_1
        //   60: goto -35 -> 25
        //   63: astore_1
        //   64: aload_3
        //   65: invokevirtual 62	android/os/Parcel:recycle	()V
        //   68: aload_2
        //   69: invokevirtual 62	android/os/Parcel:recycle	()V
        //   72: aload_1
        //   73: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	74	0	this	Proxy
        //   0	74	1	paramIUserInfoListener	IUserInfoListener
        //   3	66	2	localParcel1	Parcel
        //   7	58	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	63	finally
        //   18	25	63	finally
        //   25	49	63	finally
      }
      
      public void requestCreateNewUser(UserInfo paramUserInfo, boolean paramBoolean, IVoidListener paramIVoidListener)
        throws RemoteException
      {
        int i = 1;
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        for (;;)
        {
          try
          {
            localParcel1.writeInterfaceToken("tv.ouya.console.internal.IStoreServiceDefinition");
            if (paramUserInfo != null)
            {
              localParcel1.writeInt(1);
              paramUserInfo.writeToParcel(localParcel1, 0);
              break label130;
              localParcel1.writeInt(i);
              if (paramIVoidListener != null)
              {
                paramUserInfo = paramIVoidListener.asBinder();
                label58:
                localParcel1.writeStrongBinder(paramUserInfo);
                this.mRemote.transact(6, localParcel1, localParcel2, 0);
                localParcel2.readException();
              }
            }
            else
            {
              localParcel1.writeInt(0);
            }
          }
          finally
          {
            localParcel2.recycle();
            localParcel1.recycle();
          }
          label130:
          do
          {
            i = 0;
            break;
            paramUserInfo = null;
            break label58;
          } while (!paramBoolean);
        }
      }
      
      /* Error */
      public void requestDeregisterConsole(String paramString, IVoidListener paramIVoidListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +46 -> 67
        //   24: aload_2
        //   25: invokeinterface 95 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: bipush 7
        //   42: aload_3
        //   43: aload 4
        //   45: iconst_0
        //   46: invokeinterface 56 5 0
        //   51: pop
        //   52: aload 4
        //   54: invokevirtual 59	android/os/Parcel:readException	()V
        //   57: aload 4
        //   59: invokevirtual 62	android/os/Parcel:recycle	()V
        //   62: aload_3
        //   63: invokevirtual 62	android/os/Parcel:recycle	()V
        //   66: return
        //   67: aconst_null
        //   68: astore_1
        //   69: goto -38 -> 31
        //   72: astore_1
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: aload_3
        //   79: invokevirtual 62	android/os/Parcel:recycle	()V
        //   82: aload_1
        //   83: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	84	0	this	Proxy
        //   0	84	1	paramString	String
        //   0	84	2	paramIVoidListener	IVoidListener
        //   3	76	3	localParcel1	Parcel
        //   7	67	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	72	finally
        //   24	31	72	finally
        //   31	57	72	finally
      }
      
      /* Error */
      public void requestDeveloperAppList(IAppDescriptionListListener paramIAppDescriptionListListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +43 -> 58
        //   18: aload_1
        //   19: invokeinterface 73 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: bipush 8
        //   36: aload_2
        //   37: aload_3
        //   38: iconst_0
        //   39: invokeinterface 56 5 0
        //   44: pop
        //   45: aload_3
        //   46: invokevirtual 59	android/os/Parcel:readException	()V
        //   49: aload_3
        //   50: invokevirtual 62	android/os/Parcel:recycle	()V
        //   53: aload_2
        //   54: invokevirtual 62	android/os/Parcel:recycle	()V
        //   57: return
        //   58: aconst_null
        //   59: astore_1
        //   60: goto -35 -> 25
        //   63: astore_1
        //   64: aload_3
        //   65: invokevirtual 62	android/os/Parcel:recycle	()V
        //   68: aload_2
        //   69: invokevirtual 62	android/os/Parcel:recycle	()V
        //   72: aload_1
        //   73: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	74	0	this	Proxy
        //   0	74	1	paramIAppDescriptionListListener	IAppDescriptionListListener
        //   3	66	2	localParcel1	Parcel
        //   7	58	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	63	finally
        //   18	25	63	finally
        //   25	49	63	finally
      }
      
      public void requestLauncherPurchase(String paramString, Product paramProduct, Purchasable paramPurchasable, IStringListener paramIStringListener)
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        for (;;)
        {
          try
          {
            localParcel1.writeInterfaceToken("tv.ouya.console.internal.IStoreServiceDefinition");
            localParcel1.writeString(paramString);
            if (paramProduct != null)
            {
              localParcel1.writeInt(1);
              paramProduct.writeToParcel(localParcel1, 0);
              if (paramPurchasable != null)
              {
                localParcel1.writeInt(1);
                paramPurchasable.writeToParcel(localParcel1, 0);
                if (paramIStringListener == null) {
                  break label140;
                }
                paramString = paramIStringListener.asBinder();
                localParcel1.writeStrongBinder(paramString);
                this.mRemote.transact(19, localParcel1, localParcel2, 0);
                localParcel2.readException();
              }
            }
            else
            {
              localParcel1.writeInt(0);
              continue;
            }
            localParcel1.writeInt(0);
          }
          finally
          {
            localParcel2.recycle();
            localParcel1.recycle();
          }
          continue;
          label140:
          paramString = null;
        }
      }
      
      /* Error */
      public void requestLauncherReceipts(String paramString, IStringListener paramIStringListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +46 -> 67
        //   24: aload_2
        //   25: invokeinterface 47 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: bipush 20
        //   42: aload_3
        //   43: aload 4
        //   45: iconst_0
        //   46: invokeinterface 56 5 0
        //   51: pop
        //   52: aload 4
        //   54: invokevirtual 59	android/os/Parcel:readException	()V
        //   57: aload 4
        //   59: invokevirtual 62	android/os/Parcel:recycle	()V
        //   62: aload_3
        //   63: invokevirtual 62	android/os/Parcel:recycle	()V
        //   66: return
        //   67: aconst_null
        //   68: astore_1
        //   69: goto -38 -> 31
        //   72: astore_1
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: aload_3
        //   79: invokevirtual 62	android/os/Parcel:recycle	()V
        //   82: aload_1
        //   83: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	84	0	this	Proxy
        //   0	84	1	paramString	String
        //   0	84	2	paramIStringListener	IStringListener
        //   3	76	3	localParcel1	Parcel
        //   7	67	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	72	finally
        //   24	31	72	finally
        //   31	57	72	finally
      }
      
      /* Error */
      public void requestRegisterConsole(IVoidListener paramIVoidListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +43 -> 58
        //   18: aload_1
        //   19: invokeinterface 95 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: bipush 9
        //   36: aload_2
        //   37: aload_3
        //   38: iconst_0
        //   39: invokeinterface 56 5 0
        //   44: pop
        //   45: aload_3
        //   46: invokevirtual 59	android/os/Parcel:readException	()V
        //   49: aload_3
        //   50: invokevirtual 62	android/os/Parcel:recycle	()V
        //   53: aload_2
        //   54: invokevirtual 62	android/os/Parcel:recycle	()V
        //   57: return
        //   58: aconst_null
        //   59: astore_1
        //   60: goto -35 -> 25
        //   63: astore_1
        //   64: aload_3
        //   65: invokevirtual 62	android/os/Parcel:recycle	()V
        //   68: aload_2
        //   69: invokevirtual 62	android/os/Parcel:recycle	()V
        //   72: aload_1
        //   73: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	74	0	this	Proxy
        //   0	74	1	paramIVoidListener	IVoidListener
        //   3	66	2	localParcel1	Parcel
        //   7	58	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	63	finally
        //   18	25	63	finally
        //   25	49	63	finally
      }
      
      /* Error */
      public void requestResendEmail(String paramString, IVoidListener paramIVoidListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +46 -> 67
        //   24: aload_2
        //   25: invokeinterface 95 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: bipush 10
        //   42: aload_3
        //   43: aload 4
        //   45: iconst_0
        //   46: invokeinterface 56 5 0
        //   51: pop
        //   52: aload 4
        //   54: invokevirtual 59	android/os/Parcel:readException	()V
        //   57: aload 4
        //   59: invokevirtual 62	android/os/Parcel:recycle	()V
        //   62: aload_3
        //   63: invokevirtual 62	android/os/Parcel:recycle	()V
        //   66: return
        //   67: aconst_null
        //   68: astore_1
        //   69: goto -38 -> 31
        //   72: astore_1
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: aload_3
        //   79: invokevirtual 62	android/os/Parcel:recycle	()V
        //   82: aload_1
        //   83: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	84	0	this	Proxy
        //   0	84	1	paramString	String
        //   0	84	2	paramIVoidListener	IVoidListener
        //   3	76	3	localParcel1	Parcel
        //   7	67	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	72	finally
        //   24	31	72	finally
        //   31	57	72	finally
      }
      
      /* Error */
      public void requestStoreStructure(IStoreStructureListener paramIStoreStructureListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +43 -> 58
        //   18: aload_1
        //   19: invokeinterface 115 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: bipush 13
        //   36: aload_2
        //   37: aload_3
        //   38: iconst_0
        //   39: invokeinterface 56 5 0
        //   44: pop
        //   45: aload_3
        //   46: invokevirtual 59	android/os/Parcel:readException	()V
        //   49: aload_3
        //   50: invokevirtual 62	android/os/Parcel:recycle	()V
        //   53: aload_2
        //   54: invokevirtual 62	android/os/Parcel:recycle	()V
        //   57: return
        //   58: aconst_null
        //   59: astore_1
        //   60: goto -35 -> 25
        //   63: astore_1
        //   64: aload_3
        //   65: invokevirtual 62	android/os/Parcel:recycle	()V
        //   68: aload_2
        //   69: invokevirtual 62	android/os/Parcel:recycle	()V
        //   72: aload_1
        //   73: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	74	0	this	Proxy
        //   0	74	1	paramIStoreStructureListener	IStoreStructureListener
        //   3	66	2	localParcel1	Parcel
        //   7	58	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	63	finally
        //   18	25	63	finally
        //   25	49	63	finally
      }
      
      /* Error */
      public void requestSystemMessage(String paramString, IStringListener paramIStringListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +46 -> 67
        //   24: aload_2
        //   25: invokeinterface 47 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: bipush 14
        //   42: aload_3
        //   43: aload 4
        //   45: iconst_0
        //   46: invokeinterface 56 5 0
        //   51: pop
        //   52: aload 4
        //   54: invokevirtual 59	android/os/Parcel:readException	()V
        //   57: aload 4
        //   59: invokevirtual 62	android/os/Parcel:recycle	()V
        //   62: aload_3
        //   63: invokevirtual 62	android/os/Parcel:recycle	()V
        //   66: return
        //   67: aconst_null
        //   68: astore_1
        //   69: goto -38 -> 31
        //   72: astore_1
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: aload_3
        //   79: invokevirtual 62	android/os/Parcel:recycle	()V
        //   82: aload_1
        //   83: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	84	0	this	Proxy
        //   0	84	1	paramString	String
        //   0	84	2	paramIStringListener	IStringListener
        //   3	76	3	localParcel1	Parcel
        //   7	67	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	72	finally
        //   24	31	72	finally
        //   31	57	72	finally
      }
      
      /* Error */
      public void requestTagList(ITagListListener paramITagListListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +42 -> 57
        //   18: aload_1
        //   19: invokeinterface 121 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: iconst_5
        //   35: aload_2
        //   36: aload_3
        //   37: iconst_0
        //   38: invokeinterface 56 5 0
        //   43: pop
        //   44: aload_3
        //   45: invokevirtual 59	android/os/Parcel:readException	()V
        //   48: aload_3
        //   49: invokevirtual 62	android/os/Parcel:recycle	()V
        //   52: aload_2
        //   53: invokevirtual 62	android/os/Parcel:recycle	()V
        //   56: return
        //   57: aconst_null
        //   58: astore_1
        //   59: goto -34 -> 25
        //   62: astore_1
        //   63: aload_3
        //   64: invokevirtual 62	android/os/Parcel:recycle	()V
        //   67: aload_2
        //   68: invokevirtual 62	android/os/Parcel:recycle	()V
        //   71: aload_1
        //   72: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	73	0	this	Proxy
        //   0	73	1	paramITagListListener	ITagListListener
        //   3	65	2	localParcel1	Parcel
        //   7	57	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	62	finally
        //   18	25	62	finally
        //   25	48	62	finally
      }
      
      public void requestUpdateUserInfo(UserInfo paramUserInfo, IVoidListener paramIVoidListener)
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        for (;;)
        {
          try
          {
            localParcel1.writeInterfaceToken("tv.ouya.console.internal.IStoreServiceDefinition");
            if (paramUserInfo != null)
            {
              localParcel1.writeInt(1);
              paramUserInfo.writeToParcel(localParcel1, 0);
              if (paramIVoidListener != null)
              {
                paramUserInfo = paramIVoidListener.asBinder();
                localParcel1.writeStrongBinder(paramUserInfo);
                this.mRemote.transact(11, localParcel1, localParcel2, 0);
                localParcel2.readException();
              }
            }
            else
            {
              localParcel1.writeInt(0);
              continue;
            }
            paramUserInfo = null;
          }
          finally
          {
            localParcel2.recycle();
            localParcel1.recycle();
          }
        }
      }
      
      /* Error */
      public void requestUserInfo(IUserInfoListener paramIUserInfoListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +43 -> 58
        //   18: aload_1
        //   19: invokeinterface 80 1 0
        //   24: astore_1
        //   25: aload_2
        //   26: aload_1
        //   27: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   30: aload_0
        //   31: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   34: bipush 12
        //   36: aload_2
        //   37: aload_3
        //   38: iconst_0
        //   39: invokeinterface 56 5 0
        //   44: pop
        //   45: aload_3
        //   46: invokevirtual 59	android/os/Parcel:readException	()V
        //   49: aload_3
        //   50: invokevirtual 62	android/os/Parcel:recycle	()V
        //   53: aload_2
        //   54: invokevirtual 62	android/os/Parcel:recycle	()V
        //   57: return
        //   58: aconst_null
        //   59: astore_1
        //   60: goto -35 -> 25
        //   63: astore_1
        //   64: aload_3
        //   65: invokevirtual 62	android/os/Parcel:recycle	()V
        //   68: aload_2
        //   69: invokevirtual 62	android/os/Parcel:recycle	()V
        //   72: aload_1
        //   73: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	74	0	this	Proxy
        //   0	74	1	paramIUserInfoListener	IUserInfoListener
        //   3	66	2	localParcel1	Parcel
        //   7	58	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	63	finally
        //   18	25	63	finally
        //   25	49	63	finally
      }
      
      /* Error */
      public void run(String paramString, IStringListener paramIStringListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_3
        //   4: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore 4
        //   9: aload_3
        //   10: ldc 26
        //   12: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   15: aload_3
        //   16: aload_1
        //   17: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   20: aload_2
        //   21: ifnull +46 -> 67
        //   24: aload_2
        //   25: invokeinterface 47 1 0
        //   30: astore_1
        //   31: aload_3
        //   32: aload_1
        //   33: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   36: aload_0
        //   37: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   40: bipush 16
        //   42: aload_3
        //   43: aload 4
        //   45: iconst_0
        //   46: invokeinterface 56 5 0
        //   51: pop
        //   52: aload 4
        //   54: invokevirtual 59	android/os/Parcel:readException	()V
        //   57: aload 4
        //   59: invokevirtual 62	android/os/Parcel:recycle	()V
        //   62: aload_3
        //   63: invokevirtual 62	android/os/Parcel:recycle	()V
        //   66: return
        //   67: aconst_null
        //   68: astore_1
        //   69: goto -38 -> 31
        //   72: astore_1
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: aload_3
        //   79: invokevirtual 62	android/os/Parcel:recycle	()V
        //   82: aload_1
        //   83: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	84	0	this	Proxy
        //   0	84	1	paramString	String
        //   0	84	2	paramIStringListener	IStringListener
        //   3	76	3	localParcel1	Parcel
        //   7	67	4	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   9	20	72	finally
        //   24	31	72	finally
        //   31	57	72	finally
      }
      
      /* Error */
      public void runDelete(String paramString1, String paramString2, IStringListener paramIStringListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore 4
        //   5: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   8: astore 5
        //   10: aload 4
        //   12: ldc 26
        //   14: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   17: aload 4
        //   19: aload_1
        //   20: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   23: aload 4
        //   25: aload_2
        //   26: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   29: aload_3
        //   30: ifnull +49 -> 79
        //   33: aload_3
        //   34: invokeinterface 47 1 0
        //   39: astore_1
        //   40: aload 4
        //   42: aload_1
        //   43: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   46: aload_0
        //   47: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   50: bipush 18
        //   52: aload 4
        //   54: aload 5
        //   56: iconst_0
        //   57: invokeinterface 56 5 0
        //   62: pop
        //   63: aload 5
        //   65: invokevirtual 59	android/os/Parcel:readException	()V
        //   68: aload 5
        //   70: invokevirtual 62	android/os/Parcel:recycle	()V
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: return
        //   79: aconst_null
        //   80: astore_1
        //   81: goto -41 -> 40
        //   84: astore_1
        //   85: aload 5
        //   87: invokevirtual 62	android/os/Parcel:recycle	()V
        //   90: aload 4
        //   92: invokevirtual 62	android/os/Parcel:recycle	()V
        //   95: aload_1
        //   96: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	97	0	this	Proxy
        //   0	97	1	paramString1	String
        //   0	97	2	paramString2	String
        //   0	97	3	paramIStringListener	IStringListener
        //   3	88	4	localParcel1	Parcel
        //   8	78	5	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   10	29	84	finally
        //   33	40	84	finally
        //   40	68	84	finally
      }
      
      /* Error */
      public void runPut(String paramString1, String paramString2, IStringListener paramIStringListener)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore 4
        //   5: invokestatic 36	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   8: astore 5
        //   10: aload 4
        //   12: ldc 26
        //   14: invokevirtual 40	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   17: aload 4
        //   19: aload_1
        //   20: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   23: aload 4
        //   25: aload_2
        //   26: invokevirtual 43	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   29: aload_3
        //   30: ifnull +49 -> 79
        //   33: aload_3
        //   34: invokeinterface 47 1 0
        //   39: astore_1
        //   40: aload 4
        //   42: aload_1
        //   43: invokevirtual 50	android/os/Parcel:writeStrongBinder	(Landroid/os/IBinder;)V
        //   46: aload_0
        //   47: getfield 19	tv/ouya/console/internal/IStoreServiceDefinition$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   50: bipush 17
        //   52: aload 4
        //   54: aload 5
        //   56: iconst_0
        //   57: invokeinterface 56 5 0
        //   62: pop
        //   63: aload 5
        //   65: invokevirtual 59	android/os/Parcel:readException	()V
        //   68: aload 5
        //   70: invokevirtual 62	android/os/Parcel:recycle	()V
        //   73: aload 4
        //   75: invokevirtual 62	android/os/Parcel:recycle	()V
        //   78: return
        //   79: aconst_null
        //   80: astore_1
        //   81: goto -41 -> 40
        //   84: astore_1
        //   85: aload 5
        //   87: invokevirtual 62	android/os/Parcel:recycle	()V
        //   90: aload 4
        //   92: invokevirtual 62	android/os/Parcel:recycle	()V
        //   95: aload_1
        //   96: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	97	0	this	Proxy
        //   0	97	1	paramString1	String
        //   0	97	2	paramString2	String
        //   0	97	3	paramIStringListener	IStringListener
        //   3	88	4	localParcel1	Parcel
        //   8	78	5	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   10	29	84	finally
        //   33	40	84	finally
        //   40	68	84	finally
      }
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/IStoreServiceDefinition.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */